# Teams

Retrieve detailed team information via one of our 5 team endpoints.&#x20;

With the team endpoints, you can retrieve basic information like logos, names etc. Interested in detailed information?

You can retrieve more detailed information by using the correct includes. Per endpoint you can find the details including base URL, parameters, includes and more.

* **GET All Teams:** returns all the teams that are accessible within your subscription.
* **GET Team by ID:** returns the single team you’ve requested by ID.
* **GET Team by Country ID:** returns all the teams from your requested country ID.
* **GET Team by Season ID:** returns all the teams from your requested season ID.
* **GET Team Search by Name:** returns all the teams that match your search query.

### Include options

[`sport`](https://docs.sportmonks.com/v3/core-api/) [`country`](https://docs.sportmonks.com/v3/core-api/) [`venue`](/v3/endpoints-and-entities/entities/other.md#venue) [`coaches`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#coach) [`rivals`](/v3/endpoints-and-entities/entities/other.md#rival) [`players`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#player) [`latest`](/v3/endpoints-and-entities/entities/fixture.md#fixture) [`upcoming`](/v3/endpoints-and-entities/entities/fixture.md#fixture) [`seasons`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#season) [`activeSeasons`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#season) [`sidelined`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#sidelined) [`sidelinedHistory`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#sidelined) [`statistics`](/v3/endpoints-and-entities/entities/statistic.md#teamstatistic) [`trophies`](/v3/endpoints-and-entities/entities/other.md#participanttrophy) [`socials`](/v3/endpoints-and-entities/entities/other.md#social)

### **Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the teams endpoints are:

* [Team](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#team)

{% hint style="info" %}
Remember, our historical data will be integrated into the new version of our API gradually. So, the historical data is not yet complete. However, we will be loading more historical data continuously.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/teams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
